it-swarm.com.ru

Плагин com.Android.ide.Eclipse.adt не смог загрузить класс Android

Я новичок в разработке Android Мой Eclipse работал правильно. Но теперь, когда я запускаю новый проект, он выдает ошибку Мастер открытия проблем Не удалось открыть выбранный мастер

Подробное сообщение об ошибке

The selected wizard could not be started.
Plug-in com.Android.ide.Eclipse.adt was unable to load class com.Android.ide.Eclipse.adt.internal.wizards.newproject.NewProjectWizard.
An error occurred while automatically activating bundle com.Android.ide.Eclipse.adt (239).

Я также не могу запустить существующий проект Android. Но я могу запустить новый проект Java и запустить . Почему это происходит

24
Johnykutty

Если вы не добавили ADT, выполните следующие действия.

Справка -> Добавить новое программное обеспечение -> Добавить.

В опции Name пишите ADT

И если вы установили ADT на свой компьютер, добавьте его путь в Location 

jar:file:/D:/ADT-16.0.1.Zip!/

И тогда ADT установит.

И если есть проблема, попробуйте удалить этот adt и установить снова.

1) remove the ADT repo (Window->Preferences->Install/Updates->Available Software Sites)
2) add Indigo repo ("http://download.Eclipse.org/releases/Indigo")
3) run updates
4) add ADT repo again and install
14
Bhavin

Для меня то, что казалось работой, было:

1. Перезапуск приложения 2. (Или) Перезагрузка компьютера

У меня все еще были некоторые проблемы. Некоторые проекты не загружаются. Я не уверен, в чем проблема или была. Я думаю, переустановка ADT должна помочь.

8
LoveMeow

На самом деле нет необходимости удалять плагин ADT. Просто добавьте этот репозиторий (http://download.Eclipse.org/releases/Indigo), а затем помогите -> проверить наличие обновлений.

5
vic12

Вы также получите эту ошибку, если у вас работает AVD. Закройте AVD и перезапустите Eclipse

1
PhilWilliammee

Я публикую этот ответ для людей, которые ссылаются на этот пост в будущем.

Методы, которые все упомянутые, займут больше времени. Я решил эту проблему, обновив плагин . Но это не похоже на то, как упоминается vic12. Я сделал это следующим образом

Справка> Установить новое программное обеспечение> нажмите на ссылкуЧто уже установленовы можете увидеть список установленного программного обеспечения. Вы можете выбрать и обновить любого, как вы хотите. Если вы нажмете кнопку «Проверить наличие обновлений», обновится все установленное нами программное обеспечение. Это займет много времени. Таким образом, вы можете обновить тот, который вы хотите. Это можно сделать за минуту. это экономит время. 

1
Amith

В моем случае перезагрузка компьютера решила все проблемы без переустановки плагина ADT . Кстати, я использую MAC + ADT_v22

1
goRGon

У меня была похожая проблема, и, похоже, это плагин org.Eclipse.objectteams, вызывающий проблемы для меня. Что мне нужно было сделать, это удалить плагин из моего каталога плагинов Eclipse следующим образом:

mv ~/.Eclipse/*/plugins/org.Eclipse.objectteams* ~/someDIR

Кажется, есть проблемы с зависимостями в более новых версиях Eclipse. Извините, если я не могу предоставить больше информации. 

Может быть, посмотрите https://bugs.Eclipse.org/bugs/show_bug.cgi?id=350133 .

1
salomonvh

Перейти в Справка - Торговая площадка Eclipse - поиск по adt. Затем обновите или установите его. Это сработало для меня.

1
TharakaNirmana

У меня была такая же проблема, и я начал читать ответы выше. затем я перестал читать и просто перезапустил Eclipse, и это сработало для меня! (это мое первое решение для всех электронных устройств и вообще работает :)

0
themaster33

Вы можете попробовать изменить рабочее пространство тоже. Это сработало для меня!

0
infinite93

Я решил эту проблему, когда перезапустил Eclipse и изменил рабочую область, над которой я работаю.

0
geet Sebastian

Если вы работаете на Mac и используете Eclipse ADT, перейдите в ADT -> «Настройки» -> Android. Там вы должны найти опцию для установки вашего Android SDK местоположения. Просто найдите существующий ADT и выберите папку SDK. 

Это, конечно, может быть сделано только после установки SDK.

Android preference settings in Eclipse ADT

0
Droid Chris

Я просто хочу добавить это здесь, так как проблема только что произошла со мной. То, что я сделал, было close Eclipse, снова откройте его, и затем оно начало работать. Если это не решит проблему, тогда я советую вам ответить @ Bhavin.

0
James111

Я надеюсь, что это кому-нибудь поможет: У меня была такая же проблема, и по иронии судьбы проблема заключалась в простой ошибке кода. По какой-то причине эта ошибка вызвала слишком сильную реакцию Eclipse с красными линиями по всему коду и сохранением ошибок, а также ошибок, упомянутых в этом посте.

Я исправил проблему (удалив лишнюю) и все проблемы исчезли.

Я не знаю, почему Eclipse перегрелся на этот раз, но это еще одна возможность проверить, прежде чем что-то устанавливать, удалять или обновлять.

Удачи. 

0
ofermc

Это может произойти, если вы удалите Android из вашего пути сборки. Просто попробуйте заново связать JRE6 или 7 и перезапустить программу. Затмение справится с этим для вас.

0
zessa

Просто перезапустите Eclipse. Кажется, в Eclipse есть какая-то ошибка, которая приводит к неправильной загрузке других компонентов. Или сначала запустите sdk manager из фона, а затем Eclipse.

0
grayhat

Введите в переменной «PATH» путь к папке JRE (Java).

0
user4442922

Просто: Это работа для меня. Пожалуйста, следуйте этим шагам. GO To: Справка >> Установить новое программное обеспечение >> Доступные сайты программного обеспечения Затем найдите: http://download.Eclipse.org/releases/Indigo

Если доступно, просто выберите и перезагрузите Остальное ДОБАВИТЬ >> Расположение за этим URL в http://download.Eclipse.org/releases/Indigo ">> OK Затем >> Перезагрузить 

Надеюсь, это поможет кому-нибудь. 

0
Ravinder Singh Bhanwar

Возможно, вы сохранили два плагина ADT, один со ссылкой, а другой с файлом Zip, вам нужно удалить один из них Справка -> Установить новое программное обеспечение -> Доступное программное обеспечение для сайтов -> и удалить один из плагинов adt.

0
Mujtaba Zaidi